Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.shared
Class RandomOrderGraph

    java.lang.Object
      com.hp.hpl.jena.graph.impl.WrappedGraph
          com.hp.hpl.jena.shared.RandomOrderGraph

All Implemented Interfaces:
  Graph, GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform

    public class RandomOrderGraph

extends com.hp.hpl.jena.graph.impl.WrappedGraph

Wraps a graph and randomizes the order of find results.

Author:
  jjc

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`RandomOrderGraph(Graph base)`
`RandomOrderGraph(int bufsz, Graph base)`

Method Summary
`static Graph` | `createDefaultGraph()`
`static Model` | `createDefaultModel()`
`ExtendedIterator` | `find(Node s, Node p, Node o)` Returns an iterator over Triple.
`ExtendedIterator` | `find(TripleMatch m)` Returns an iterator over all the Triples that match the triple pattern.

Methods inherited from class com.hp.hpl.jena.graph.impl.WrappedGraph
`add, close, contains, contains, delete, dependsOn, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, performAdd, performDelete, queryHandler, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomOrderGraph

    public RandomOrderGraph(int bufsz,
                            Graph base)

Parameters:
  `base` -

### RandomOrderGraph

    public RandomOrderGraph(Graph base)

Parameters:
  `base` -

Method Detail

### createDefaultGraph

    public static Graph createDefaultGraph()

### createDefaultModel

    public static Model createDefaultModel()

### find

    public ExtendedIterator find(TripleMatch m)

  Description copied from interface: `Graph`
  Returns an iterator over all the Triples that match the triple pattern.

  Specified by:
    `find` in interface `Graph`
  Overrides:
    `find` in class `com.hp.hpl.jena.graph.impl.WrappedGraph`
  Parameters:
    `m` - a Triple[Match] encoding the pattern to look for
  Returns:
    an iterator of all triples in this graph that match m

### find

    public ExtendedIterator find(Node s,
                                 Node p,
                                 Node o)

  Description copied from interface: `Graph`
  Returns an iterator over Triple.

  Specified by:
    `find` in interface `Graph`
  Overrides:
    `find` in class `com.hp.hpl.jena.graph.impl.WrappedGraph`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP